Bug 197091 - vmlinuz-2.6.17-1.2139_FC5 kernel kills USB keyboard
vmlinuz-2.6.17-1.2139_FC5 kernel kills USB keyboard
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-keyboard (Show other bugs)
5
x86_64 Linux
medium Severity urgent
: ---
: ---
Assigned To: Kristian Høgsberg
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-28 10:45 EDT by Bevis King
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-03 11:17:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bevis King 2006-06-28 10:45:37 EDT
Description of problem:
Since updating from vmlinuz-2.6.16-1.2096_FC5 (x86_64) kernel to
vmlinuz-2.6.17-1.2139_FC5, the USB keyboard and mouse on my Sun w2100z Dual
Opteron workstation have completely ceased working.  Reverting to the previous
kernel restores all functionality to normal.

Version-Release number of selected component (if applicable):
Kernel: vmlinuz-2.6.17-1.2139_FC5

X.Org X server:
xorg-x11-drv-vesa-1.0.1.3-1.2
xorg-x11-fonts-ISO8859-1-100dpi-7.0-3
xorg-x11-drv-vmware-10.11.1.3-1.1
xorg-x11-drv-dummy-0.1.0.5-1.2
xorg-x11-drv-joystick-1.0.0.5-1.2
xorg-x11-xinit-1.0.1-2
xorg-x11-fonts-ISO8859-1-75dpi-7.0-3
xorg-x11-drv-microtouch-1.0.0.5-1.2
xorg-x11-drv-i810-1.4.1.3-3.1
xorg-x11-drv-jamstudio-1.0.0.5-1.2
xorg-x11-utils-1.0.1-1.2
xorg-x11-drv-siliconmotion-1.3.1.5-1.1
xorg-x11-drv-tdfx-1.1.1.3-1.3
xorg-x11-twm-1.0.1-1.2
xorg-x11-xfs-1.0.1-4
xorg-x11-fonts-Type1-7.0-3
xorg-x11-drv-summa-1.0.0.5-1.2
xorg-x11-drv-voodoo-1.0.0.5-1.2
xorg-x11-drv-palmax-1.0.0.5-1.2
xorg-x11-drv-dynapro-1.0.0.5-1.2
xorg-x11-drv-aiptek-1.0.0.5-1.2
xorg-x11-xauth-1.0.1-1.2
xorg-x11-fonts-base-7.0-3
xorg-x11-fonts-100dpi-7.0-3
xorg-x11-drv-ati-6.5.7.3-4
xorg-x11-drv-spaceorb-1.0.0.5-1.2
xorg-x11-drv-elo2300-1.0.0.5-1.2
xorg-x11-drv-ur98-1.0.0.5-1.2
xorg-x11-drv-vga-4.0.0.5-2
xorg-x11-drv-magictouch-1.0.0.5-1.2
xorg-x11-xkbdata-1.0.1-7
xorg-x11-apps-1.0.1-2
xorg-x11-fonts-75dpi-7.0-3
xorg-x11-drv-savage-2.0.2.3-1.2
xorg-x11-drv-s3-0.3.5.5-2
xorg-x11-drv-s3virge-1.8.6.5-1.2
xorg-x11-drv-dmc-1.0.0.5-1.2
xorg-x11-drv-acecad-1.0.0.5-1.2
xorg-x11-filesystem-7.0-1
xorg-x11-drv-keyboard-1.0.1.3-1.2
xorg-x11-drv-nv-1.0.1.5-3.1
xorg-x11-drv-fbdev-0.1.0.5-1.2
xorg-x11-drv-via-0.1.33.2-2
xorg-x11-drv-trident-1.0.1.2-1.2
xorg-x11-drv-magellan-1.0.0.5-1.2
xorg-x11-xkb-utils-1.0.1-1.2
xorg-x11-font-utils-1.0.1-3
xorg-x11-xtrans-devel-1.0.0-3.2
xorg-x11-proto-devel-7.0-6
xorg-x11-drv-evdev-1.0.0.5-1.2
xorg-x11-fonts-misc-7.0-3
xorg-x11-drv-elographics-1.0.0.5-1.2
xorg-x11-drv-digitaledge-1.0.1.3-1.2
xorg-x11-drv-sis-0.8.1.3-1.2
xorg-x11-drv-mutouch-1.0.0.5-1.2
xorg-x11-drv-citron-2.1.5-1
xorg-x11-drivers-7.0-2
xorg-x11-server-Xorg-1.0.1-9.fc5.1.1
xorg-x11-server-utils-1.0.1-1.2
xorg-x11-drv-void-1.0.0.5-1.2
xorg-x11-drv-sisusb-0.7.1.3-1.2
xorg-x11-drv-mouse-1.0.4-1
xorg-x11-drv-calcomp-1.0.0.5-1.2
xorg-x11-drv-fpit-1.0.0.5-1.2
xorg-x11-xdm-1.0.1-1.2
xorg-x11-fonts-truetype-7.0-3
xorg-x11-drv-mga-1.2.1.3-1.2
xorg-x11-drv-hyperpen-1.0.0.5-1.2
xorg-x11-drv-penmount-1.0.0.5-1.2

How reproducible:
every time

Steps to Reproduce:
1.  Boot system with vmlinuz-2.6.17-1.2139_FC5 kernel

Actual results:
USB Keyboard and mouse completely dead.

Expected results:
USB Keyboard and mouse continue to work as they did/do with previous kernel.

Additional info:
Boot of previous kernel shows:
Jun 28 15:09:38 ephiny kernel: usbcore: registered new driver libusual
Jun 28 15:09:38 ephiny kernel: usbcore: registered new driver hiddev
Jun 28 15:09:38 ephiny kernel: usbcore: registered new driver usbhid
Jun 28 15:09:38 ephiny kernel: drivers/usb/input/hid-core.c: v2.6:USB HID core
driver
Jun 28 15:09:38 ephiny kernel: mice: PS/2 mouse device common for all mice
[.....]
Jun 28 15:09:39 ephiny kernel: usb usb3: configuration #1 chosen from 1 choice
Jun 28 15:09:39 ephiny kernel: hub 3-0:1.0: USB hub found
Jun 28 15:09:39 ephiny kernel: hub 3-0:1.0: 2 ports detected
[.....]
Jun 28 15:09:39 ephiny kernel: usb 2-1: configuration #1 chosen from 1 choice
Jun 28 15:09:39 ephiny kernel: input: HID 0430:0005 as /class/input/input0
Jun 28 15:09:39 ephiny kernel: input: USB HID v1.00 Keyboard [HID 0430:0005] on
usb-0000:01:03.0-1
Jun 28 15:09:39 ephiny kernel: Non-volatile memory driver v1.2
Jun 28 15:09:39 ephiny kernel: usb 3-1: new low speed USB device using ohci_hcd
and address 2
Jun 28 15:09:39 ephiny kernel: usb 3-1: configuration #1 chosen from 1 choice
Jun 28 15:09:39 ephiny kernel: input: HID 0430:0100 as /class/input/input1
Jun 28 15:09:39 ephiny hpiod: 0.9.11 accepting connections at 50000...
Jun 28 15:09:39 ephiny kernel: input: USB HID v1.10 Mouse [HID 0430:0100] on
usb-0000:01:03.1-1
Jun 28 15:09:40 ephiny kernel: floppy0: no floppy controllers found

Boot of vmlinuz-2.6.17-1.2139_FC5 kernel shows:
(usbcore goes in)
[.....]
Jun 28 14:28:59 ephiny kernel: usbcore: registered new driver libusual
Jun 28 14:28:59 ephiny kernel: usbcore: registered new driver hiddev
Jun 28 14:28:59 ephiny kernel: usbcore: registered new driver usbhid
Jun 28 14:28:59 ephiny kernel: drivers/usb/input/hid-core.c: v2.6:USB HID core
driver
Jun 28 14:28:59 ephiny kernel: PNP: No PS/2 controller found. Probing ports
directly.
Jun 28 14:28:59 ephiny kernel: serio: i8042 AUX port at 0x60,0x64 irq 12
Jun 28 14:28:59 ephiny kernel: serio: i8042 KBD port at 0x60,0x64 irq 1
Jun 28 14:28:59 ephiny kernel: mice: PS/2 mouse device common for all mice
[Note: The Sun w2100z has NO PS/2 ports at all; only USB.]

There are no further USB related messages; no USB hub or HID devices detected.
/proc/bus/usb/ is completely empty.  Removing and replugging the devices (mouse,
keyboard elicts no response at all.  Restarting hidd with /etc/init.d/hidd
restart has no effect.
Comment 1 Matěj Cepl 2007-07-03 09:51:09 EDT
Fedora Core 5 is no longer supported, please, could you reproduce this bug with
the updated version of the currently supported distribution (Fedora Core 6, or
Fedora 7, or Rawhide)? If this issue turns out to still be reproducible, please
let us know in this bug report.  If after a month's time we have not heard back
from you, we will have to close this bug as CANTFIX/INSUFFICIENT_DATA.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 2 Bevis King 2007-07-03 10:55:35 EDT
This is a Fedora Core 5 problem; the machine concerned is running Fedora Core 6
with no similar problems.  Other than as a reference for anyone still using FC5,
this issue is resolved by the later release.

Regards, Bevis.
Comment 3 Matěj Cepl 2007-07-03 11:17:42 EDT
Thanks a lot.

Note You need to log in before you can comment on or make changes to this bug.